Imports System
Imports Eplan.EplApi.ApplicationFramework
 
''' <summary>
''' This class implements a W3-Action.  The Action will register the Addins in that  <seealso cref="IEplAddIn.OnRegister"/> Registerst.
''' <seealso cref="IEplAction"/> 
''' </summary>
Public Class EdbAction
    Implements IEplAction

    ''' <summary>
    ''' Execution of the Action.  
    ''' </summary>
    ''' <returns>True:  Execution of the Action was successful</returns>
    Public Function Execute(ByVal ctx As ActionCallingContext) As Boolean Implements IEplAction.Execute

        Try
            Dim edbAufruf As New SickEplanEdbFunctions
            edbAufruf.EdbInterface()
        Catch ex As Exception

        End Try

        Return True
    End Function

    ''' <summary>
    ''' Function is called through the ApplicationFramework
    ''' </summary>
    ''' <param name="Name">Under this name, this Action in the system is registered</param>
    ''' <param name="Ordinal">With this overload priority, this Action is registered</param>
    ''' <returns>true: the return parameters are valid</returns>
    Public Function OnRegister(ByRef name As String, ByRef ordinal As Integer) As Boolean Implements IEplAction.OnRegister
        name = "EdbAction"
        ordinal = 20
        Return True
    End Function

    '' <summary>
    '' Documentation function for the Action; is called of the system as required 
    '' Bescheibungstext delivers for the Action itself and if the Action String-parameters ("Kommandozeile")
    '' also name and description of the single parameters evaluates
    '' </summary>
    '' <param name="actionProperties"> This object must be filled with the information of the Action.</param>
    Sub GetActionProperties(ByRef actionProperties As Eplan.EplApi.ApplicationFramework.ActionProperties) Implements Eplan.EplApi.ApplicationFramework.IEplAction.GetActionProperties
        'actionProperties.Description = "Beschreibung von EdbAction"
        'Dim firstParam As New ActionParameterProperties()
        'firstParam.Set("Param1", "first test parameter")
        'actionProperties.AddParameter(firstParam)

    End Sub
End Class

